package com.ruoyi.framework.recovery.mapper;

import java.util.Date;
import java.util.List;
import com.ruoyi.framework.recovery.domain.WxLottery;
import org.apache.ibatis.annotations.Param;

/**
 * 微信抽奖Mapper接口
 * 
 * @author jin
 * @date 2024-12-17
 */
public interface WxLotteryMapper 
{
    /**
     * 查询微信抽奖
     * 
     * @param id 微信抽奖主键
     * @return 微信抽奖
     */
    public WxLottery selectWxLotteryById(Long id);

    /**
     * 查询微信抽奖列表
     * 
     * @param wxLottery 微信抽奖
     * @return 微信抽奖集合
     */
    public List<WxLottery> selectWxLotteryList(WxLottery wxLottery);

    /**
     * 新增微信抽奖
     * 
     * @param wxLottery 微信抽奖
     * @return 结果
     */
    public int insertWxLottery(WxLottery wxLottery);

    /**
     * 修改微信抽奖
     * 
     * @param wxLottery 微信抽奖
     * @return 结果
     */
    public int updateWxLottery(WxLottery wxLottery);

    /**
     * 删除微信抽奖
     * 
     * @param id 微信抽奖主键
     * @return 结果
     */
    public int deleteWxLotteryById(Long id);

    /**
     * 批量删除微信抽奖
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxLotteryByIds(Long[] ids);

    /**
     * 查询抽奖截止时间之前的内容
     *
     * @param date 截止时间之前
     * @param type 类型
     * @return 结果集
     */
    List<WxLottery> selectWxLotteryListByTime(@Param("date") Date date, @Param("type") String type);
}
